# Retrieve insert options

Fetches the list of possible templates which are compatible insert options for a page.

Endpoint: GET /api/v1/pages/{pageId}/insertoptions
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.

## Query parameters:

  - `site` (string, required)
    The site identifier.

  - `language` (string, required)
    The page language.

  - `insertOptionKind` (string, required)
    The type of object to retrieve (Page or Folder).

  - `environmentId` (string)
    The identifier of the environment.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    Template ID
Example value: 6fe7d655-1e3d-4c27-8010-5777f06c6c4f
    Example: 6fe7d655-1e3d-4c27-8010-5777f06c6c4f

  - `displayName` (string)
    Template display name
Example value: Page
    Example: Page

  - `templateType` (string)
    The type of template.
    Enum: "ItemTemplate", "BranchTemplate"

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

